Build fails with dependency problems

I followed the default build directions for building the iso via docker and received the errors in the log. Why and how to fix?

dpkg: dependency problems prevent configuration of vyatta-cfg-firewall:
 vyatta-cfg-firewall depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-cfg-firewall depends on vyatta-cfg-system (>= 0.19.125); however:
  Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-cfg-firewall (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op:
 vyatta-op depends on vyatta-cfg (>= 0.16.26); however:
  Package vyatta-cfg is not configured yet.
 vyatta-op depends on vyatta-cfg-system (>= 0.19.93); however:
  Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-op (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-op-pppoe:
 vyatta-cfg-op-pppoe depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-cfg-op-pppoe depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-cfg-op-pppoe (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-qos:
 vyatta-cfg-qos depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-cfg-qos (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-quagga:
 vyatta-cfg-quagga depends on vyatta-cfg (>= 0.18.56); however:
  Package vyatta-cfg is not configured yet.
 vyatta-cfg-quagga depends on vyatta-cfg-system (>= 0.19.125); however:
  Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-cfg-quagga (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-vpn:
 vyatta-cfg-vpn depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-cfg-vpn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cluster:
 vyatta-cluster depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-cluster depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-cluster (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-config-mgmt:
 vyatta-config-mgmt depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-config-mgmt depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyatta-config-mgmt depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-config-mgmt (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-conntrack:
 vyatta-conntrack depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyatta-conntrack depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-conntrack depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-conntrack (--configure):
 dependency problems - leaving unconfigured
Setting up vyatta-conntrack-sync (0.46+vyos2+current3) ...
dpkg: dependency problems prevent configuration of vyatta-eventwatch:
 vyatta-eventwatch depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-eventwatch (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-ipv6-rtradv:
 vyatta-ipv6-rtradv depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-ipv6-rtradv (--configure):
 dependency problems - leaving unconfigured
Setting up vyatta-lldp (0.25+vyos2+current1) ...
dpkg: dependency problems prevent configuration of vyatta-nat:
 vyatta-nat depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-nat depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-nat (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-netflow:
 vyatta-netflow depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-netflow depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyatta-netflow depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-netflow (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op-firewall:
 vyatta-op-firewall depends on vyatta-op; however:
  Package vyatta-op is not configured yet.
 vyatta-op-firewall depends on vyatta-cfg (>= 0.101.0); however:
  Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-op-firewall (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op-qos:
 vyatta-op-qos depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-op-qos (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op-quagga:
 vyatta-op-quagga depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-op-quagga depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-op-quagga (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op-vpn:
 vyatta-op-vpn depends on vyatta-op; however:
  Package vyatta-op is not configured yet.
 vyatta-op-vpn depends on vyatta-cfg-vpn; however:
  Package vyatta-cfg-vpn is not configured yet.

dpkg: error processing package vyatta-op-vpn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-openvpn:
 vyatta-openvpn depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-openvpn depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-openvpn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-ravpn:
 vyatta-ravpn depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-ravpn depends on vyatta-op; however:
  Package vyatta-op is not configured yet.
 vyatta-ravpn depends on vyatta-cfg-vpn; however:
  Package vyatta-cfg-vpn is not configured yet.
 vyatta-ravpn depends on vyatta-op-vpn; however:
  Package vyatta-op-vpn is not configured yet.

dpkg: error processing package vyatta-ravpn (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-wanloadbalance:
 vyatta-wanloadbalance depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-wanloadbalance depends on vyatta-cfg-firewall; however:
  Package vyatta-cfg-firewall is not configured yet.
 vyatta-wanloadbalance depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-wanloadbalance (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-webproxy:
 vyatta-webproxy depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-webproxy depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyatta-webproxy depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-webproxy (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-wireless:
 vyatta-wireless depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-wireless depends on vyatta-op; however:
  Package vyatta-op is not configured yet.
 vyatta-wireless depends on vyatta-cfg-system (>= 0.19.1); however:
  Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-wireless (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-wirelessmodem:
 vyatta-wirelessmodem depends on vyatta-cfg (>= 0.15.33); however:
  Package vyatta-cfg is not configured yet.
 vyatta-wirelessmodem depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-wirelessmodem (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-zone:
 vyatta-zone depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyatta-zone depends on vyatta-cfg-firewall; however:
  Package vyatta-cfg-firewall is not configured yet.

dpkg: error processing package vyatta-zone (--configure):
 dependency problems - leaving unconfigured
Setting up vyos-intel-e1000e (3.4.2.4-0) ...
Setting up vyos-intel-i40e (2.9.21-0) ...
Setting up vyos-intel-i40evf (3.6.15-0) ...
Setting up vyos-intel-igb (5.3.5.22s-0) ...
Setting up vyos-intel-ixgbe (5.5.5-0) ...
Setting up vyos-intel-ixgbevf (4.5.3-0) ...
Setting up vyos-opennhrp (0.14.1-1+vyos2+current1) ...
dpkg: dependency problems prevent configuration of vyos-nhrp:
 vyos-nhrp depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyos-nhrp depends on vyatta-cfg; however:
  Package vyatta-cfg is not configured yet.
 vyos-nhrp depends on vyatta-op; however:
  Package vyatta-op is not configured yet.

dpkg: error processing package vyos-nhrp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyos-world:
 vyos-world depends on vyatta-cfg-system; however:
  Package vyatta-cfg-system is not configured yet.
 vyos-world depends on vyatta-op; however:
  Package vyatta-op is not configured yet.
 vyos-world depends on vyatta-config-mgmt; however:
  Package vyatta-config-mgmt is not configured yet.
 vyos-world depends on vyatta-cfg-firewall; however:
  Package vyatta-cfg-firewall is not configured yet.
 vyos-world depends on vyatta-op-firewall; however:
  Package vyatta-op-firewall is not configured yet.
 vyos-world depends on vyatta-cfg-op-pppoe; however:
  Package vyatta-cfg-op-pppoe is not configured yet.
 vyos-world depends on vyatta-cfg-qos; however:
  Package vyatta-cfg-qos is not configured yet.
 vyos-world depends on vyatta-op-qos; however:
  Package vyatta-op-qos is not configured yet.
 vyos-world depends on vyatta-cfg-quagga; however:
  Package vyatta-cfg-quagga is not configured yet.
 vyos-world depends on vyatta-op-quagga; however:
  Package vyatta
dpkg: error processing package vyos-world (--configure):
 dependency problems - leaving unconfigured
Setting up zerofree (1.0.3-1) ...
Processing triggers for sgml-base (1.26+nmu4) ...
Setting up docutils-common (0.12+dfsg-1) ...
Processing triggers for sgml-base (1.26+nmu4) ...
Setting up python-docutils (0.12+dfsg-1) ...
update-alternatives: using /usr/share/docutils/scripts/python2/rst-buildhtml to provide /usr/bin/rst-buildhtml (rst-buildhtml) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2html to provide /usr/bin/rst2html (rst2html) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2latex to provide /usr/bin/rst2latex (rst2latex) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2man to provide /usr/bin/rst2man (rst2man) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt to provide /usr/bin/rst2odt (rst2odt) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2odt_prepstyles to provide /usr/bin/rst2odt_prepstyles (rst2odt_prepstyles) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2pseudoxml to provide /usr/bin/rst2pseudoxml (rst2pseudoxml) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2s5 to provide /usr/bin/rst2s5 (rst2s5) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2xetex to provide /usr/bin/rst2xetex (rst2xetex) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rst2xml to provide /usr/bin/rst2xml (rst2xml) in auto mode
update-alternatives: using /usr/share/docutils/scripts/python2/rstpep2html to provide /usr/bin/rstpep2html (rstpep2html) in auto mode
Setting up python-wstools (0.4.3-2) ...
Setting up python-soappy (0.12.22-1) ...
Setting up python-debianbts (1.12) ...
Setting up python-reportbug (6.6.3+deb8u2) ...
Setting up reportbug (6.6.3+deb8u2) ...
Setting up liblwp-protocol-https-perl (6.06-2) ...
Setting up tasksel-data (3.31+deb8u1) ...
Setting up tasksel (3.31+deb8u1) ...
Setting up python3 (3.4.2-2) ...
Setting up python3-pkg-resources (5.5.1-1) ...
Setting up python3-hurry.filesize (0.9-1) ...
Setting up frr-pythontools (7.2-dev-20190608-00-g9fd5497-0) ...
Setting up libwww-perl (6.08-1) ...
Setting up libxml-parser-perl (2.41-3) ...
Setting up libxml-sax-expat-perl (0.40-2) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::SAX::Expat with priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up libxml-simple-perl (2.20-1) ...
Setting up python3-bottle (0.12.7-1+deb8u2) ...
Setting up python3-isc-dhcp-leases (0.8.1-1) ...
Setting up python3-markupsafe (0.23-1+b1) ...
Setting up python3-jinja2 (2.9.4-1) ...
Setting up python3-netifaces (0.10.4-0.1) ...
Setting up python3-psutil (2.1.1-1+b1) ...
Setting up python3-pystache (0.5.4-2) ...
Setting up python3-six (1.8.0-1) ...
Setting up python3-tabulate (0.8.2-1) ...
Setting up python3-urllib3 (1.10.4-1) ...
Setting up python3-vici (5.7.2-1) ...
Setting up eventwatchd (0.2+vyos2+current1) ...
Setting up vyos-1x (1.3.0-16) ...
Setting up vyos-salt-minion (1.0.0) ...
Adding user minion to group frrvty
Adding user minion to group vyattacfg
Adding user minion to group sudo
Adding user minion to group adm
Adding user minion to group dip
Adding user minion to group disk
Adding user minion to group users
Setting up vyos-smoketest (1.0.0) ...
Setting up dh-python (1.20141111-2) ...
Processing triggers for systemd (215-17+deb8u13) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Processing triggers for ca-certificates (20141019+deb8u4) ...
Updating certificates in /etc/ssl/certs... 0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
Processing triggers for initramfs-tools (0.120+deb8u3) ...
update-initramfs: Generating /boot/initrd.img-4.19.54-amd64-vyos
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
W: mdadm: no arrays defined in configuration file.
live-boot: core filesystems devices utils udev blockdev.
Processing triggers for python-support (1.0.15) ...
Processing triggers for dbus (1.8.22-0+deb8u2) ...
Errors were encountered while processing:
 vyatta-cfg
 vyatta-cfg-system
 radius-shell
 libpam-radius-auth
 vyatta-cfg-firewall
 vyatta-op
 vyatta-cfg-op-pppoe
 vyatta-cfg-qos
 vyatta-cfg-quagga
 vyatta-cfg-vpn
 vyatta-cluster
 vyatta-config-mgmt
 vyatta-conntrack
 vyatta-eventwatch
 vyatta-ipv6-rtradv
 vyatta-nat
 vyatta-netflow
 vyatta-op-firewall
 vyatta-op-qos
 vyatta-op-quagga
 vyatta-op-vpn
 vyatta-openvpn
 vyatta-ravpn
 vyatta-wanloadbalance
 vyatta-webproxy
 vyatta-wireless
 vyatta-wirelessmodem
 vyatta-zone
 vyos-nhrp
 vyos-world
E: Sub-process /usr/bin/dpkg returned an error code (1)
P: Begin unmounting filesystems...
P: Saving caches...
Reading package lists...
Building dependency tree...
Reading state information...
vyos_bld@a0661e34e909:/vyos$

Hi!

Did you try to build in an directory that you’ve built in before or is this the first build? if thats the case please remove the build directory and run ./configure once again.

please also verify the content of the packages directory(if you have it), a bad .deb package in there will result in errors like this.

also try to rebuild the build container if it’s a long time since you’ve done that.

This is a first build. I cloned vyos-build.git, built the container, ran the container, executed “./configure” and then “sudo make iso” per the instructions. I did these within the same day and I attempted this twice: once on or around July 1, and the other on July 4.

The only packages are only those from the container and from the build process. Given that the build is within the confines of a container and the only volume is the vyos-build repository itself (which was not modified after it was cloned), the only bad packages would be from the definition of the Dockerfile or the build process. If there is a bad package in either of those, can you fix this?

Is the vyos build repository and process tested regularly?

yes, the iso build is triggered via ci once a day.
https://ci.vyos.net/job/vyos-build/

Has the docker build been tested lately?

BTW: The build you referenced above, , which I believe is the non-docker build, has been failing over the last several days.

There is a packet issue with an external repo, we are working already on a solution.

Your response did not answer my first question: Has the docker build been tested lately?

Please advise.

Based on the no response, can I assume that the docker build is not tested?

Hi alpha23!
i’m sorry for the delay, I’ve just built a ISO from the current branch and it seems to work just fine.

Please do this to retry your atempt:

  1. remove your vyos build container,
    docker image rm vyos-builder
  2. redownload from git
    git clone https://github.com/vyos/vyos-build
    cd vyos-build
  3. update the docker debian:jessie container
    docker pull debian:jessie
  4. recreate the build container.
    docker build -t vyos-build docker
  5. retry your attempt (add your parameters to the configure command
    docker run --rm -it --privileged -v $(pwd):/vyos -w /vyos vyos-builder ./configure
    docker run --rm -it --privileged -v $(pwd):/vyos -w /vyos vyos-builder sudo make iso

@runar I followed your instructions above which resulted in the same errors as my initial post. Have the commands you posted been tested?

If i havent messed up the copy/paste job they should be the commands i executed to build, but i’ll do a retry with backward copy/paste for you later tonigth .

What host system are you executing this on? I used Ubunut Bionic as a host.

Could you also provide a full command output of your process? Save stdout and stderr to file or c/p the entire screen buffer with 100k+ bufferlines into a file :slight_smile:

There only command that is at issue is the last command. I’m re-executing the ‘make iso’ commands and saving to a file. Will post the full output tomorrow because the build takes awhile.

Yes, the host is Bionic but that should not affect the build since it is in a container, which is the reason I want to build via container to eliminate dependency issues.

I did re-pull debian:jessie today but it does appear that it has not been updated in several weeks. Therefore, it will be beneficial to confirm image IDs. The image ID I have is 652b7a59e393. Please confirm yours is the same.

Also, when did you last test the above commands?

The reason i’m asking about build env. is that pepole have tried to run this on docker linux from windows and macos, and that will not work.

The debian:jessie is is the same as i have.

I did the build yesterday. doing a rerun with c/p now.

I’ve now done a build with my commands. the only fault i found was the name of the created docker image: docker build -t vyos-build docker should be docker build -t vyos-builder docker
Other than that all compiled just fine and the iso built fine

This forum will not allow me to upload a file and the log is too long to fit in this reply (also denied).

Below is the latest relevant log information. Given that this may be related to a a policy issue, I reran with ‘docker run --rm -it --security-opt=apparmor:unconfined --privileged -v $(pwd):/vyos -w /vyos vyos-builder sudo make iso’ but the results were the same.

Please advise.

All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up openvpn (2.4.0-6+deb9u1~bpo8+1) …
invoke-rc.d: action cond-restart is unknown, but proceeding anyway.
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of cond-restart.
Setting up ppp (2.4.7+vyos2) …
Setting up pppoe (3.8-3) …
Setting up pptpd (1.4.0-5) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up python-ply (3.4-5) …
Setting up python-pycparser (2.10+dfsg-3) …
Setting up python-cffi (0.8.6-1) …
Setting up python-concurrent.futures (3.0.3-1) …
Setting up python-crypto (2.6.1-5+deb8u1) …
Setting up python-cryptography (0.6.1-1+deb8u1) …
Setting up python-markupsafe (0.23-1+b1) …
Setting up python-jinja2 (2.9.4-1) …
Setting up python-lxml (3.4.0-1+deb8u1) …
Setting up python-msgpack (0.4.2-1) …
Setting up python-mysqldb (1.2.3-2.1) …
Setting up python-openssl (0.14-1) …
Setting up python-ndg-httpsclient (0.3.2-1) …
Setting up python-pil:amd64 (2.6.1-2+deb8u3) …
Setting up python-psutil (2.1.1-1+b1) …
Setting up python-pyasn1 (0.1.7-1) …
Setting up python-pycurl (7.19.5-3) …
Setting up python-pygments (2.0.1+dfsg-1.1+deb8u1) …
Setting up python-systemd (231-2~bpo8+1) …
Setting up python-tornado (4.2.1-1~ds+1) …
Setting up python-yaml (3.11-2) …
Setting up python-zmq (14.4.0-1) …
Setting up qemu-guest-agent (1:2.1+dfsg-12+deb8u11) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up rename (0.20-3) …
update-alternatives: using /usr/bin/file-rename to provide /usr/bin/rename (rename) in auto mode
Setting up rsync (3.1.1-3+deb8u2) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of restart.
Setting up screen (4.2.1-3+deb8u1) …
Setting up shared-mime-info (1.3-1) …
Setting up sipcalc (1.1.5-1) …
Setting up snmp (5.7.2.1+vyos2+current1) …
Setting up snmpd (5.7.2.1+vyos2+current1) …
adduser: Warning: The home directory /var/lib/snmp' does not belong to the user you are currently creating. All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. Setting up squid-langpack (20140506-1) ... Setting up libecap2 (0.2.0-3) ... Setting up squid3-common (3.4.8-6+deb8u8) ... Setting up squid3 (3.4.8-6+deb8u8) ... Creating Squid HTTP proxy 3.x spool directory structure 2019/08/11 06:30:10 kid1| Set Current Directory to /var/spool/squid3 2019/08/11 06:30:10 kid1| Creating missing swap directories 2019/08/11 06:30:10 kid1| No cache_dir stores are configured. All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of restart. Setting up squidclient (3.4.8-6+deb8u8) ... Setting up squidguard (1.5-4) ... Starting with new config file /etc/squidguard/squidGuard.conf. No data files found in /var/lib/squidguard/db - exiting update-squidguard. Setting up ssl-cert (1.0.35) ... Setting up strace (4.9-2) ... Setting up strongswan (5.7.2-1+vyos2) ... Setting up strongswan-swanctl (5.7.2-1+vyos2) ... Setting up tcpd (7.6.q-25) ... Setting up wireshark-common (1.12.1+g01b65bf-4+deb8u19) ... Setting up tshark (1.12.1+g01b65bf-4+deb8u19) ... Setting up udp-broadcast-relay (0.1+vyos2+current1) ... Setting up usbutils (1:007-2) ... Setting up vyos-accel-ppp (1.11.2-11) ... Setting up vyos-accel-ppp-ipoe-kmod (1.11.2-11) ... Setting up vyos-netplug (1.2.9.2-2) ... All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. Setting up open-vm-tools (2:10.3.10-1~bpo9+1) ... All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. Setting up vyos-vmwaretools-scripts (1.0-1) ... Setting up vyos-xe-guest-utilities (1.0.0-3) ... Setting up wakeonlan (0.41-11) ... Setting up wireguard-tools (0.0.20190601-1) ... Setting up wireguard (0.0.20190601-1) ... Setting up wireguard-modules (0.0.20190601-1) ... Setting up wpasupplicant (2.3-1+deb8u8) ... Setting up xauth (1:1.0.9-1) ... Setting up xdg-user-dirs (0.15-2) ... Setting up xl2tpd (1.3.6+dfsg-2-vyos0) ... All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. Setting up xsltproc (1.1.28-2+deb8u5) ... Setting up easy-rsa (2.2.2-1) ... Setting up grub2 (2.02~beta2-22+deb8u1) ... Setting up haveged (1.9.1-1) ... All runlevel operations denied by policy invoke-rc.d: policy-rc.d denied execution of start. Setting up hvinfo (1.2.0) ... Setting up igmpproxy (1:0.1+vyos2+current1) ... Setting up ipaddrcheck (1.1) ... Setting up ipset (6.23-2) ... Setting up iputils-arping (3:20121221-5+b2) ... Failed to set capabilities on file/usr/bin/arping’ (Invalid argument)
The value of the capability argument is not permitted for a file. Or the file is not a regular (non-symlink) file
Setcap failed on /usr/bin/arping, falling back to setuid
Setting up lcdproc (0.5.7-2) …
Fixing lcdproc configuration…
Can’t exec “/usr/bin/dpkg-architecture”: No such file or directory at (eval 122) line 1, line 5.
cannot run dpkg-architecture at (eval 122) line 2, line 5.
Use of uninitialized value $triplet in scalar chomp at (eval 122) line 3, line 5.
Use of uninitialized value triplet in concatenation (.) or string at (eval 122) line 4, <F> line 5. Warning in 'server DriverPath' value '/usr/lib//lcdproc/': missing DriverPath dir (code is: ' defined _ ? -d : 1’)
Can’t exec “/usr/bin/dpkg-architecture”: No such file or directory at (eval 126) line 1, line 5.
cannot run dpkg-architecture at (eval 126) line 2, line 5.
Use of uninitialized value $triplet in scalar chomp at (eval 126) line 3, line 5.
Use of uninitialized value $triplet in concatenation (.) or string at (eval 126) line 4, line 5.
Can’t exec “/usr/bin/dpkg-architecture”: No such file or directory at (eval 128) line 1, line 5.
cannot run dpkg-architecture at (eval 128) line 2, line 5.
Use of uninitialized value $triplet in scalar chomp at (eval 128) line 3, line 5.
Use of uninitialized value $triplet in concatenation (.) or string at (eval 128) line 4, line 5.
Can’t exec “/usr/bin/dpkg-architecture”: No such file or directory at (eval 131) line 1, line 5.
cannot run dpkg-architecture at (eval 131) line 2, line 5.
Use of uninitialized value $triplet in scalar chomp at (eval 131) line 3, line 5.
Use of uninitialized value $triplet in concatenation (.) or string at (eval 131) line 4, line 5.
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up lcdproc-extra-drivers (0.5.7-2) …
Setting up libc6-dbg:amd64 (2.19-18+deb8u10) …
Setting up libvyosconfig0 (0.0.9) …
Setting up ndiff (6.47-3+deb8u2) …
Setting up netcat (1.10-41) …
Setting up nginx-light (1.6.2-5+deb8u6) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up nmap (6.47-3+deb8u2) …
Setting up opensc (0.14.0-2) …
Setting up openvpn-auth-ldap (2.0.3-6.1) …
Setting up openvpn-auth-radius (2.1-6+b1) …
Setting up os-prober (1.65+deb8u1) …
Setting up pdns-recursor (4.1.14-1pdns.jessie) …
Creating user and group pdns…done
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up salt-common (2017.7.8+ds-1) …
Setting up salt-minion (2017.7.8+ds-1) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up socat (1.7.2.4-2) …
Setting up tftpd-hpa (5.2+20140608-3) …
All runlevel operations denied by policy
invoke-rc.d: policy-rc.d denied execution of start.
Setting up usb-modeswitch-data (20150115-1) …
Setting up usb-modeswitch (2.2.0+repack0-2) …
Setting up user-setup (1.61) …
dpkg: dependency problems prevent configuration of vyatta-cfg-firewall:
vyatta-cfg-firewall depends on vyatta-cfg (>= 0.15.33); however:
Package vyatta-cfg is not configured yet.
vyatta-cfg-firewall depends on vyatta-cfg-system (>= 0.19.125); however:
Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-cfg-firewall (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-op:
vyatta-op depends on vyatta-cfg (>= 0.16.26); however:
Package vyatta-cfg is not configured yet.
vyatta-op depends on vyatta-cfg-system (>= 0.19.93); however:
Package vyatta-cfg-system is not configured yet.

dpkg: error processing package vyatta-op (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-op-pppoe:
vyatta-cfg-op-pppoe depends on vyatta-cfg; however:
Package vyatta-cfg is not configured yet.
vyatta-cfg-op-pppoe depends on vyatta-op; however:
Package vyatta-op is not configured yet.

dpkg: error processing package vyatta-cfg-op-pppoe (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-qos:
vyatta-cfg-qos depends on vyatta-cfg (>= 0.15.33); however:
Package vyatta-cfg is not configured yet.

dpkg: error processing package vyatta-cfg-qos (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of vyatta-cfg-quagga:
vyatta-cfg-quagga depends on vyatta-cfg (>= 0.18.56); however:
Package vyatta-cfg is not configured yet.
vyatta-cfg-quagga depends on vyatta-cfg-system (>= 0.19.125); however:
Package vyatta-cfg-system is not configured yet.

Please upload the full log to pastebin or som other text upload service

https://pastebin.com/bcSX2brQ

@runar Did you have a chance to review the pastebin upload?

Hi! I’ve been looking into it a bit now, and i think this is your initial issue:

Created symlink from /etc/systemd/system/vyos.target.wants/vyos-router.service to /lib/systemd/system/vyos-router.service.
Failed to set capabilities on file `/opt/vyatta/sbin/my_cli_bin` (Invalid argument)
The value of the capability argument is not permitted for a file. Or the file is not a regular (non-symlink) file
dpkg: error processing package vyatta-cfg (--configure):
 subprocess installed post-installation script returned error exit status 1

What filesystem are you running this on?

The filesystem was NFS. I moved it to ext4 and it built without issue. It may be helpful to include a note under the “Docker” section on github regarding this.

Thank you for your help on the issue.